#include <stdio.h>
#include <stdlib.h>
int main()
{
    char c1, c2;
    scanf(" %c %c", &c1, &c2);
    long long int a1, a2;
    scanf("%ld%ld", &a1, &a2);
    if (a1==a2)
        for (int i=0; i<a1; i++)
            printf("%c%c", c1, c2);
    else
        if (abs(a1-a2)==1)
        {
            if (a1<a2)
            {
                for (int i=0; i<a1; i++)
                    printf("%c%c", c2, c1);
                printf("%c", c2);
            }
            else
            {
                for (int i=0; i<a2; i++)
                    printf("%c%c", c1, c2);
                    printf("%c", c1);
            }
        }
        else
            printf("nemoguce");
    return 0;
}